Name: mrtg
Version: 2.10.14
Release: alt1

Summary: Multi Router Traffic Grapher
Group: Monitoring
License: GPL / LGPL
Url: http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/

Packager: Andrei Bulava <abulava@altlinux.ru>

Source0: http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/pub/%name-%version.tar.gz
Source1: mrtg.cfg
Source2: 14all.cgi
Source3: README-14allcgi
Source4: mrtg.cron.d
Source5: mrtg.iptables
Source6: mrtg-lo0.cfg
Source7: mrtg.cpuinfo
PreReq: sysstat

# Automatically added by buildreq on Tue Feb 17 2004 (-bi)
BuildRequires: XFree86-libs freetype2-devel groff-base hostinfo libgd2-devel libjpeg-devel libpng-devel perl-CGI xpm zlib-devel

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF or PNG
images which provide a LIVE visual representation of this traffic.

%description -l ru_RU.KOI8-R
MRTG -      , 
HTML-  ,  ""  .

%description -l uk_UA.KOI8-U
MRTG -   Φ   Ӧ,
 դ HTML-Ҧ  Ʀ,   "" צ̦æ
Ʀ.

%package contrib
Summary: Multi Router Traffic Grapher - contribs
Group: Monitoring
AutoReq: no
Requires: %name = %version-%release

%description contrib
Scripts in contrib/ directory of MRTG source distribution

%define _contentdir /var/www/html/%name
%define _libmrtg %_libexecdir/%{name}2

%define _perl_lib_path %_libmrtg
%add_findprov_skiplist */Pod/*
%add_findprov_skiplist */contrib/*
%add_findprov_skiplist */helpers/*

%prep
%setup -q
echo "Removing .orig's..."
find . -name "*.orig" -print0 -exec rm -f \{\} \; \
 > /dev/null

%build
%configure
%make_build

find contrib -type f -print0 -exec %__perl -pi \
 -e 's;^#!/.*/perl.*;#!/usr/bin/perl;gi' \{\} \; \
 > /dev/null

find contrib -type f -print0 -exec %__perl -pi \
 -e 's;/usr/local/bin/;/usr/bin/;gi' \{\} \; \
 > /dev/null

find contrib -type f -print0 -exec %__perl -pi \
 -e 's;/usr/local/mrtg/(bin/)?mrtg;/usr/bin/mrtg;gi' \{\} \; \
 > /dev/null

find . -name "*.pl" -print0 -exec %__perl -pi -e 's;\015;;gi' \{\} \; \
 > /dev/null

#tar -cf - contrib | gzip -9nf > contrib.tar.gz

%install
%__mkdir -p %buildroot{%_sysconfdir/%name,%_sysconfdir/cron.d,%_man1dir,%_bindir,%_contentdir/images,%_contentdir/docs,/var/www/cgi-bin,%_libmrtg/Pod,%_libmrtg/helpers,%_localstatedir/%name}

%__install -m 644 images/*   %buildroot%_contentdir/images
%__install -m 644 doc/*.html %buildroot%_contentdir/docs
%__install -m 644 %SOURCE1 %buildroot%_sysconfdir/%name
%__install -m 755 %SOURCE2 %buildroot/var/www/cgi-bin
%__install -m 644 %SOURCE3 %buildroot%_contentdir/docs
%__install -m 755 %SOURCE4 %buildroot%_sysconfdir/cron.d/%name

%__install -m 755 %SOURCE5 %buildroot/%_libmrtg/helpers/iptables-accounting.pl
%__install -m 644 %SOURCE6 %buildroot%_sysconfdir/%name
%__install -m 755 %SOURCE7 %buildroot/%_libmrtg/helpers/cpuinfo.pl

%__cp -r contrib %buildroot%_libmrtg/

for i in %buildroot%_contentdir/images/*; do 
	%__ln_s ../images/`basename $i` %buildroot%_contentdir/docs
done

for i in bin/{mrtg,rateup,cfgmaker,indexmaker}; do
	%__install -m 755 -c $i %buildroot%_bindir/
done

for i in lib/mrtg2/*.pm; do
	%__install -m 644 $i %buildroot%_libmrtg/
done

for i in lib/mrtg2/Pod/*.pm; do
	%__install -m 644 $i %buildroot%_libmrtg/Pod/
done

for i in doc/*.1; do
	%__install -m 644 $i %buildroot%_man1dir/
done

%pre
/usr/sbin/groupadd -r -f %name &> /dev/null ||:
/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name &> /dev/null ||:

%post
# work around perms problems after mrtg reinstallation
find %_sysconfdir/%name %_contentdir -nouser -print0 -exec %__chown %name \{\} \; \
 > /dev/null

%postun
if [ $1 = 0 ]; then
	/usr/sbin/userdel %name
fi

%triggerpostun -- %name <= 2.9.29-alt1
# work around update problem caused by POSTUN script deleting user 'mrtg'
/usr/sbin/groupadd -r -f %name &> /dev/null ||:
/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name &> /dev/null ||:

find %_sysconfdir/%name %_contentdir -nouser -print0 -exec %__chown %name \{\} \; \
 > /dev/null

%files
%doc ANNOUNCE CHANGES COPYING COPYRIGHT MANIFEST README

%config(noreplace) %_sysconfdir/%name/mrtg*.cfg
%config(noreplace) %attr(750,root,root) %_sysconfdir/cron.d/%name
%dir %attr(770,mrtg,mrtg) %_sysconfdir/%name
%dir %attr(755,mrtg,webmaster) %_contentdir
%dir %attr(775,mrtg,mrtg) %_localstatedir/%name
%dir %_libmrtg
%dir %_libmrtg/Pod
%dir %_libmrtg/helpers

%_contentdir/docs/*
%_contentdir/images/*
/var/www/cgi-bin/14all.cgi
%_man1dir/indexmaker*.1*
%_man1dir/cfgmaker*.1*
%_man1dir/mrtg*.1*
%_bindir/*
%_libmrtg/*.pm
%_libmrtg/Pod/*
%_libmrtg/helpers/*

%files contrib
%dir %_libmrtg/contrib
%_libmrtg/contrib/*

%changelog
* Thu Jun 10 2004 Andrei Bulava <abulava@altlinux.ru> 2.10.14-alt1
- 2.10.14

* Tue Feb 17 2004 Andrei Bulava <abulava@altlinux.ru> 2.10.13-alt2
- minor spec fixes:
  + nullified garbage output
  + used macros where possible

* Fri Jan 30 2004 Andrei Bulava <abulava@altlinux.ru> 2.10.13-alt1
- 2.10.13

* Fri Jan 16 2004 Andrei Bulava <abulava@altlinux.ru> 2.10.12-alt1
- 2.10.12
- package split (contrib directory from mrtg tarball to %name-contrib)
- spec fixes:
  + corrected dependencies
  + fixed problem with unconditional 'userdel mrtg' in POSTUN
  + minor changes to conform with Secure Packaging Policy

* Tue May 06 2003 Nikita Gergel <fc@altlinux.ru> 2.9.29-alt1
- 2.9.29

* Wed Apr 09 2003 Nikita Gergel <fc@altlinux.ru> 2.9.28-alt1
- 2.9.28
- specfile fixes

* Wed Mar 26 2003 Nikita Gergel <fc@altlinux.ru> 2.9.27-alt1
- 2.9.27

* Thu Oct 31 2002 Nikita Gergel <fc@altlinux.ru> 2.9.25-alt1
- 2.9.25

* Mon Oct 21 2002 Michael Shigorin <mike@altlinux.ru> 2.9.22-alt1
- 2.9.22 (minor bugfixes)
- built with gcc3.2
- spec cleanup
- proper Group
- docs images symlinked around
- "no-one's" files in mrtg dirs are searched and overtaken after install

* Thu Jul 05 2002 Michael Shigorin <mike@altlinux.ru> 2.9.18-alt2
- spec cleanup
- package split (most scripts to mrtg-contrib)
- put two "must have" scripts to %_libmrtg/helpers (cpu, iptables)
- purified helpers/iptables-accounting.pl
- fixed helpers/cpuinfo.pl regarding low uptimes
- sample config is now more consistent with package
- pre-ALT changelog chopped off

* Sat Jun 1 2002 Nikita Gergel <fc@altlinux.ru> 2.9.18-alt1
- New version

* Tue Mar 12 2002 Nikita Gergel <fc@altlinux.ru> 2.9.17-alt8
- bugfix in cpuinfo.pl contrib

* Mon Nov 19 2001 Stanislav Ievlev <inger@altlinux.ru> 2.9.17-alt7
- bugfix in cgi script

* Thu Nov 15 2001 Nikita Gergel <fc@altlinux.ru>
 [2.9.17-alt6]
 - Involved %_contentdir as /var/www/html/%name
 - Some fixes in mrtg.cfg

* Wed Nov 14 2001 Stanislav Ievlev <inger@altlinux.ru>
 [2.9.17-alt5]
- small cleanups. build fixes

* Mon Nov 12 2001 Nikita Gergel <fc@altlinux.ru>
 [2.9.17-alt4]
 - Fixed crontab rules
 - Returned 14all.cgi to package

* Sat Nov 10 2001 Nikita Gergel <fc@altlinux.ru>
 [2.9.17-alt3]
 - Fixed bug in sample mrtg.cfg in machine target
 - Changes in crontab rules

* Sat Oct 20 2001 Nikita Gergel <fc@altlinux.ru>
 [2.9.17-alt2]
 - More merge with ALTLinux(tm) RPM packets making rules

* Sun Oct 14 2001 Nikita Gergel <fc@altlinux.ru>
 [2.9.17-alt1]
 - RPM to Sisyphus released
